# netdata python.d.plugin configuration for bind_rndc
#
# This file is in YaML format. Generally the format is:
#
# name: value
#
# There are 2 sections:
#  - global variables
#  - one or more JOBS
#
# JOBS allow you to collect values from multiple sources.
# Each source will have its own set of charts.
#
# JOB parameters have to be indented (using spaces only, example below).

# ----------------------------------------------------------------------
# Global Variables
# These variables set the defaults for all JOBs, however each JOB
# may define its own, overriding the defaults.

# update_every sets the default data collection frequency.
# If unset, the python.d.plugin default is used.
# update_every: 1

# priority controls the order of charts at the netdata dashboard.
# Lower numbers move the charts towards the top of the page.
# If unset, the default for python.d.plugin is used.
# priority: 60000

# retries sets the number of retries to be made in case of failures.
# If unset, the default for python.d.plugin is used.
# Attempts to restore the service are made once every update_every
# and only if the module has collected values in the past.
# retries: 60

# autodetection_retry sets the job re-check interval in seconds.
# The job is not deleted if check fails.
# Attempts to start the job are made once every autodetection_retry.
# This feature is disabled by default.
# autodetection_retry: 0

# ----------------------------------------------------------------------
# JOBS (data collection sources)
#
# The default JOBS share the same *name*. JOBS with the same name
# are mutually exclusive. Only one of them will be allowed running at
# any time. This allows autodetection to try several alternatives and
# pick the one that works.
#
# Any number of jobs is supported.
#
# All python.d.plugin JOBS (for all its modules) support a set of
# predefined parameters. These are:
#
# job_name:
#     name: myname            # the JOB's name as it will appear at the
#                             # dashboard (by default is the job_name)
#                             # JOBs sharing a name are mutually exclusive
#     update_every: 1         # the JOB's data collection frequency
#     priority: 60000         # the JOB's order on the dashboard
#     retries: 60             # the JOB's number of restoration attempts
#     autodetection_retry: 0  # the JOB's re-check interval in seconds
#
# Additionally to the above, bind_rndc also supports the following:
#
#     named_stats_path: 'path to named.stats'		# Default: '/var/log/bind/named.stats'
#------------------------------------------------------------------------------------------------------------------
# IMPORTANT Information
#
# BIND APPEND logs at EVERY RUN. Its NOT RECOMMENDED to set update_every below 30 sec.
# STRONGLY RECOMMENDED to create a bind-rndc conf file for logrotate
#
# To set up your BIND to dump stats do the following:
#
# 1. add to 'named.conf.options' options {}: 
# statistics-file "/var/log/bind/named.stats";
#
# 2. Create bind/ directory in /var/log
# cd /var/log/ && mkdir bind
#
# 3. Change owner of directory to 'bind' user
# chown bind bind/
#
# 4. RELOAD (NOT restart) BIND
# systemctl reload bind9.service
#
# 5. Run as a root 'rndc stats' to dump (BIND will create named.stats in new directory)
# 
#
# To ALLOW NETDATA TO RUN 'rndc stats' change '/etc/bind/rndc.key' group to netdata
# chown :netdata rndc.key
#
# The last BUT NOT least is to create bind-rndc.conf in logrotate.d/
# The working one
#  /var/log/bind/named.stats {
#   
#     daily
#     rotate 4
#     compress
#     delaycompress
#     create 0644 bind bind
#     missingok
#     postrotate
#         rndc reload > /dev/null
#     endscript
# }
#
# To test your logrotate conf file run as root:
#
# logrotate /etc/logrotate.d/bind-rndc -d (debug dry-run mode)
#
# ----------------------------------------------------------------------
